Loading...
Searching...
No Matches
DivMap< M1, M2 > Class Template Reference
Data Structures » Maps » Map Adaptors

## Detailed Description

template<typename M1, typename M2>
class lemon::DivMap< M1, M2 >

This read-only map returns the quotient of the values of the two given maps. Its `Key` and `Value` types are inherited from `M1`. The `Key` and `Value` of `M2` must be convertible to those of `M1`.

If `m1` is of type `M1` and `m2` is of `M2`, then for

DivMap<M1,M2> dm(m1,m2);
lemon::DivMap::DivMap
DivMap(const M1 &m1, const M2 &m2)
Constructor.
Definition maps.h:961

dm[x] will be equal to m1[x]/m2[x].

The simplest way of using this map is through the divMap() function.

See also
  AddMap, SubMap, MulMap

`#include <lemon/maps.h>`

Inheritance diagram for DivMap< M1, M2 >:
[legend]

## Public Types

typedef M1::Key | Key
typedef M1::Value | Value
Public Types inherited from MapBase< M1::Key, M1::Value >
typedef M1::Key | Key
| The key type of the map.
typedef M1::Value | Value
| The value type of the map. (The type of objects associated with the keys).

## Public Member Functions

| DivMap (const M1 &m1, const M2 &m2)
| Constructor.
Value | operator[] (const Key &k) const

## Related Symbols

(Note that these are not member symbols.)
template<typename M1, typename M2>
DivMap< M1, M2 > | divMap (const M1 &m1, const M2 &m2)
| Returns a `DivMap` class.